{
  "schema_version": "1.4.0",
  "id": "GHSA-f25h-xfh5-gjqp",
  "modified": "2025-04-11T03:38:38Z",
  "published": "2022-05-14T02:43:40Z",
  "aliases": [
    "CVE-2010-3000"
  ],
  "details": "Multiple integer overflows in the ParseKnownType function in RealNetworks RealPlayer 11.0 through 11.1 and RealPlayer SP 1.0 through 1.1.4 on Windows allow remote attackers to execute arbitrary code via crafted (1) HX_FLV_META_AMF_TYPE_MIXEDARRAY or (2) HX_FLV_META_AMF_TYPE_ARRAY data in an FLV file.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-3000"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/61423"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6651"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/41096"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/41154"
    },
    {
      "type": "WEB",
      "url": "http://service.real.com/realplayer/security/08262010_player/en"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/513383/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1024370"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/2216"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-10-167"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-08-30T20:00:00Z"
  }
}